[QtMoko] Building QtMoko failed

Yann SLADEK yann.sladek at free.fr
Thu Jan 14 21:51:45 CET 2010

Hi Radek,

So the last commit seems to be the same but I also tried to use the last 
Here are commands :

     mav at MavDesktop:~/OpenMoko/QTMoko-Build/qtmoko/qtopiacore$ rm -rf qt
     mav at MavDesktop:~/OpenMoko/QTMoko-Build/qtmoko/qtopiacore$ git clone 

     mav at MavDesktop:~/OpenMoko/QTMoko-Build/build$ ../qtmoko/configure 
-device neo -D _FORTIFY_SOURCE=0 -confirm-license -add-language fr_FR
     mav at MavDesktop:~/OpenMoko/QTMoko-Build/build$ make

And then the same error..
Tell me if something was wrong

Thanks for your help

> Yann SLADEK wrote:
>> Hi there,
>> I wanted to start the french translation of QtMoko and wanted to build
>> it, so I followed instructions here : http://qtmoko.org/wiki/Translations
>> The configure step was fine but when I start make, I got the following
>>      *** Error
>> I googled this but no clue
> Hi Yann,
> it can be problem that qt submodule is not in correct version. I had similar
> problem at work. You should check qt version if it matches the one in:
> http://github.com/radekp/qt/tree/qtmoko-v15
> You can do it by
> cd qtmoko/qtopiacore/qt
> git log
> the last commit should match the one on web
> (a2eb181371609220d111db555da07ab32627ffca). If not you should somehow make it
> match (e.g. clone above git, checkout qtmoko-v17 branch and replace
> qtopiacore/qt with it).
> Or if it still does not work please let me know.
> Regards
> Radek
> _______________________________________________
> Openmoko community mailing list
> community at lists.openmoko.org
> http://lists.openmoko.org/mailman/listinfo/community

More information about the community mailing list